﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        string fileName;

        public Form1()
        {
            InitializeComponent();
            fileName = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "Grid layout.xml");            
        }

        private void btnSaveLayout_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.SaveAsXml(this.fileName);
        }

        private void btnLoadLayout_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.LoadFromXml(this.fileName);
        }
    }
}
